# Google Weather

## GET /google-weather/v1/current

> Use the Google Weather API to get current weather conditions for a given location

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-weather/v1/current":{"get":{"operationId":"currentWeatherV1","summary":"Use the Google Weather API to get current weather conditions for a given location","tags":["Google Weather"],"parameters":[{"name":"latitude","in":"query","description":"The latitude of the location to get current weather conditions for.","required":true,"schema":{"$ref":"#/components/parameters/weather__latitude"}},{"name":"longitude","in":"query","description":"The longitude of the location to get current weather conditions for.","required":true,"schema":{"$ref":"#/components/parameters/weather__longitude"}},{"name":"units","in":"query","description":"The unit system to return results in","required":false,"schema":{"type":"string","enum":["imperial","metric"]}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-weather/v1/current/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"parameters":{"weather__latitude":{"name":"latitude","in":"query","description":"The latitude of the location.","required":true,"schema":{"type":"number","minimum":-90,"maximum":90,"format":"float"}},"weather__longitude":{"name":"longitude","in":"query","description":"The longitude of the location.","required":true,"schema":{"type":"number","minimum":-180,"maximum":180,"format":"float"}}},"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /google-weather/v1/forecast/days

> Use the Google Weather API to forecast the weather daily for a given amount of days

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-weather/v1/forecast/days":{"get":{"operationId":"dailyWeatherForecastV1","summary":"Use the Google Weather API to forecast the weather daily for a given amount of days","tags":["Google Weather"],"parameters":[{"name":"latitude","in":"query","description":"The latitude of the location to get forecasted weather conditions for.","required":true,"schema":{"$ref":"#/components/parameters/weather__latitude"}},{"name":"longitude","in":"query","description":"The longitude of the location to get forecasted weather conditions for.","required":true,"schema":{"$ref":"#/components/parameters/weather__longitude"}},{"name":"days","in":"query","description":"The amount of days to return a forecast for.","required":true,"schema":{"type":"integer","maximum":10,"minimum":1}},{"name":"units","in":"query","description":"The unit system to return results in","required":false,"schema":{"type":"string","enum":["imperial","metric"]}},{"name":"pageSize","in":"query","description":"The amount of results to return per page","required":false,"schema":{"type":"integer","minimum":1}},{"name":"pageToken","in":"query","description":"If another page is available, this token signifies the start of the next page.","required":false,"schema":{"type":"string"}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-weather/v1/forecast/days/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"parameters":{"weather__latitude":{"name":"latitude","in":"query","description":"The latitude of the location.","required":true,"schema":{"type":"number","minimum":-90,"maximum":90,"format":"float"}},"weather__longitude":{"name":"longitude","in":"query","description":"The longitude of the location.","required":true,"schema":{"type":"number","minimum":-180,"maximum":180,"format":"float"}}},"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /google-weather/v1/forecast/hours

> Use the Google Weather API to forecast the weather hourly for a given amount of hours

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-weather/v1/forecast/hours":{"get":{"operationId":"hourlyWeatherForecastV1","summary":"Use the Google Weather API to forecast the weather hourly for a given amount of hours","tags":["Google Weather"],"parameters":[{"name":"latitude","in":"query","description":"The latitude of the location to get forecasted weather conditions for.","required":true,"schema":{"$ref":"#/components/parameters/weather__latitude"}},{"name":"longitude","in":"query","description":"The longitude of the location to get forecasted weather conditions for.","required":true,"schema":{"$ref":"#/components/parameters/weather__longitude"}},{"name":"hours","in":"query","description":"The amount of hours to return a forecast for.","required":true,"schema":{"type":"integer","maximum":240,"minimum":1}},{"name":"units","in":"query","description":"The unit system to return results in","required":false,"schema":{"type":"string","enum":["imperial","metric"]}},{"name":"pageSize","in":"query","description":"The amount of results to return per page","required":false,"schema":{"type":"integer","minimum":1}},{"name":"pageToken","in":"query","description":"If another page is available, this token signifies the start of the next page.","required":false,"schema":{"type":"string"}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-weather/v1/forecast/hours/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"parameters":{"weather__latitude":{"name":"latitude","in":"query","description":"The latitude of the location.","required":true,"schema":{"type":"number","minimum":-90,"maximum":90,"format":"float"}},"weather__longitude":{"name":"longitude","in":"query","description":"The longitude of the location.","required":true,"schema":{"type":"number","minimum":-180,"maximum":180,"format":"float"}}},"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```

## GET /google-weather/v1/history/hours

> Use the Google Weather API to fetch hourly weather history for a given amount of hours

```json
{"openapi":"3.1.0","info":{"title":"auor.io","version":"1.0.0"},"servers":[{"url":"https://api.auor.io","description":"auor.io (Oreo) Production server"}],"paths":{"/google-weather/v1/history/hours":{"get":{"operationId":"hourlyWeatherHistoryV1","summary":"Use the Google Weather API to fetch hourly weather history for a given amount of hours","tags":["Google Weather"],"parameters":[{"name":"latitude","in":"query","description":"The latitude of the location to get historical weather conditions for.","required":true,"schema":{"$ref":"#/components/parameters/weather__latitude"}},{"name":"longitude","in":"query","description":"The longitude of the location to get historical weather conditions for.","required":true,"schema":{"$ref":"#/components/parameters/weather__longitude"}},{"name":"hours","in":"query","description":"The amount of hours to return historical weather for.","required":true,"schema":{"type":"integer","maximum":240,"minimum":1}},{"name":"units","in":"query","description":"The unit system to return results in","required":false,"schema":{"type":"string","enum":["imperial","metric"]}},{"name":"pageSize","in":"query","description":"The amount of results to return per page","required":false,"schema":{"type":"integer","minimum":1}},{"name":"pageToken","in":"query","description":"If another page is available, this token signifies the start of the next page.","required":false,"schema":{"type":"string"}},{"name":"Accept-Language","in":"header","description":"The language to return the results in","required":false,"schema":{"type":"string"}}],"responses":{"200":{"description":"Success","content":{"application/json":{"schema":{"$ref":"./schemas/google-weather/v1/history/hours/output.json"}}}},"400":{"description":"Validation error","content":{"application/json":{"schema":{"$ref":"#/components/schemas/ValidationError"}}}},"402":{"description":"Payment required","content":{"application/json":{}}}}}}},"components":{"parameters":{"weather__latitude":{"name":"latitude","in":"query","description":"The latitude of the location.","required":true,"schema":{"type":"number","minimum":-90,"maximum":90,"format":"float"}},"weather__longitude":{"name":"longitude","in":"query","description":"The longitude of the location.","required":true,"schema":{"type":"number","minimum":-180,"maximum":180,"format":"float"}}},"schemas":{"ValidationError":{"type":"object","properties":{"errors":{"type":"array","items":{"type":"string"}}},"required":["errors"]}}}}
```


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://auorio.gitbook.io/docs/api/google-weather.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
